This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 529081 - KMS:RV350:Mobility Radeon 9600 M10 glyph corruption
KMS:RV350:Mobility Radeon 9600 M10 glyph corruption
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
card_R300/m
: Triaged
: 525827 531431 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-14 17:07 EDT by Owen Taylor
Modified: 2010-12-04 02:28 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 525827 (view as bug list)
Environment:
Last Closed: 2010-12-04 02:28:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (88.91 KB, image/png)
2009-10-14 17:07 EDT, Owen Taylor
no flags Details
dmesg (43.65 KB, text/plain)
2009-10-14 17:08 EDT, Owen Taylor
no flags Details
Xorg.0.log (46.12 KB, text/plain)
2009-10-14 17:09 EDT, Owen Taylor
no flags Details
lowercase n corrupted (162.20 KB, image/png)
2009-10-24 19:00 EDT, Paul
no flags Details
ati-M6-corruption (135.02 KB, image/png)
2009-10-27 15:57 EDT, Taunus
no flags Details
'[' character is corrupted on r100 (104.89 KB, image/png)
2009-10-27 16:15 EDT, Dan Williams
no flags Details
r100 dmesg output (39.40 KB, text/plain)
2009-10-27 16:16 EDT, Dan Williams
no flags Details
Corrupted menu (3.98 KB, image/png)
2009-11-04 06:53 EST, Mathieu Chouquet-Stringer
no flags Details
Corrupted menu #2 (4.73 KB, image/png)
2009-11-04 06:54 EST, Mathieu Chouquet-Stringer
no flags Details
Appearance dialog (43.71 KB, image/png)
2009-11-04 06:55 EST, Mathieu Chouquet-Stringer
no flags Details
ATI-M6-corruption-2 (80.95 KB, image/png)
2009-11-04 12:43 EST, Taunus
no flags Details
Mouse cursor (6.65 KB, image/png)
2009-11-05 14:48 EST, Taunus
no flags Details
Screenshot (145.46 KB, image/png)
2009-11-06 15:54 EST, Mathieu Chouquet-Stringer
no flags Details
Screenshot (145.01 KB, image/png)
2009-11-06 15:58 EST, Mathieu Chouquet-Stringer
no flags Details
Glyph corruption (3.08 KB, image/png)
2010-01-02 08:55 EST, Mathieu Chouquet-Stringer
no flags Details

  None (edit)
Description Owen Taylor 2009-10-14 17:07:56 EDT
Created attachment 364814 [details]
Screenshot

I'm seeing glyphs slowly get replaced by garbage - right now my s and C have gone, and also the @ in the bold font that evolution is using.

This doesn't have anything to do with hibernate or suspend - this machine hasnt' been suspended or hibernated since boot.

$ rpm -q xorg-x11-drv-ati
xorg-x11-drv-ati-6.13.0-0.7.20091006git457646d73.fc12.i686
$ uname -a
Linux localhost.localdomain 2.6.31.1-56.fc12.i686 #1 SMP Tue Sep 29 16:32:02 EDT 2009 i686 i686 i386 GNU/Linux

I do have radeon.agpmode=4 on my kernel command line - not sure what the default is with the F-12 kernel drivers.
Comment 1 Owen Taylor 2009-10-14 17:08:15 EDT
Created attachment 364815 [details]
dmesg
Comment 2 Owen Taylor 2009-10-14 17:09:12 EDT
Created attachment 364816 [details]
Xorg.0.log
Comment 3 Owen Taylor 2009-10-15 12:09:11 EDT
The interaction I've seen so far with AGP is a little peculiar:

 - With AGP on:

   - Corruption is permanent - once a glyph goes, it's gone.
   - Corruption occurs for all types of buffers - glyphs, pixmaps,
     textures.
   - Running GNOME Shell (increasing memory pressure) seems to to
     cause corruption to happen much faster.
      
 - With AGP off, I've seen a bit of glyph corruption, but it seems to be 
   transient - as if the glyph cache pixmap got corrupted but the glyph pixmaps 
   were OK.

I don't know if this means that there are two bugs involved here, or just that corruption is timing dependent, and is much rarer with AGP off.
Comment 4 Jerome Glisse 2009-10-20 05:46:12 EDT
*** Bug 525827 has been marked as a duplicate of this bug. ***
Comment 5 Jerome Glisse 2009-10-20 09:08:32 EDT
Owen can you confirm that nokms, dri1+AGP doesn't lead to any corruption ?
Comment 6 Mathieu Chouquet-Stringer 2009-10-20 09:42:24 EDT
I'm running with nokms (ro root=/dev/mapper/vg_rambleon-lv_root nokms) but I'm still seeing corruptions...

2.6.31.4-80.fc12.i686.PAE (got that one from koji while we were trying to see if a recent git pull would fix this issue)
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.i686
Comment 7 Jerome Glisse 2009-10-20 10:14:34 EDT
nokms isn't a know option, radeon.modeset=0 should disable kms.
Owen btw here now i am seeing the corruption only on font, i can't understand what is different since last time i tried
Comment 8 Jerome Glisse 2009-10-20 11:06:56 EDT
Owen can you also check if there is no message in kernel log like:

Oct 20 17:02:56 localhost kernel: [TTM] Failed moving buffer. Proposed placement 0x00060004
Oct 20 17:02:56 localhost kernel: [TTM] Out of aperture space or DRM memory quota.
Oct 20 17:02:56 localhost kernel: [drm:radeon_object_list_validate] *ERROR* radeon: failed to validate.
Oct 20 17:02:56 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation !
Comment 9 Owen Taylor 2009-10-20 12:17:00 EDT
I have quite a few of those errors, exactly like that, but with one exception they all occurred with AGP *off*. So if there are two different corruption problems, they have to be related to the transient no-AGP corruption and not the massive corruption I was seeing with AGP on.

I can try dri1+AGP next time I have the chance to reboot. (With F11 dri1 wasn't usable at all, I seem to remember the X server quickly dying.)
Comment 10 Owen Taylor 2009-10-22 13:00:46 EDT
No obvious corruption with radeon.agpmode=4 radeon.kms=1.

gnome-shell isn't vaguely close to working with radeon + dri1 (texture from pixmap seems entirely busted), so I'm not going to be able to do extended testing like this.
Comment 11 Paul 2009-10-24 18:58:32 EDT
I'm having this exact same problem on my Thinkpad T42 (r300).  The longer I use the PC, the more fonts (or rather characters) that get corrupted....right now my lower case n and uppercase D are messed up).  All my rpms are up2date as of now and the problem persists.
Comment 12 Paul 2009-10-24 19:00:44 EDT
Created attachment 365992 [details]
lowercase n corrupted

lowercase n is corrupted
Comment 13 Taunus 2009-10-27 15:55:04 EDT
Got corruption too on F12 beta, up to date. Sound is also distorted occasionally. Screenshot attached.

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY (prog-if 00 [VGA controller])
	Subsystem: Compaq Computer Corporation Evo N600c
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 66 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at 48000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at 3000 [size=256]
	Region 2: Memory at 40200000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at 40220000 [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
		Status: RQ=48 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW- AGP3- Rate=x1,x2,x4
		Command: RQ=32 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x4
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: radeon
	Kernel modules: radeon, radeonfb
Comment 14 Taunus 2009-10-27 15:57:23 EDT
Created attachment 366333 [details]
ati-M6-corruption
Comment 15 Dan Williams 2009-10-27 16:14:18 EDT
Seen here on a Thinkpad T42 r100, usually within 10 minutes of browsing around in Firefox and random terminal work.

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]

(32 MB VRAM)

will try agpmode hack...

xorg-x11-server-Xorg-1.7.0-1.fc12.i686
xorg-x11-drv-ati-6.13.0-0.7.20091006git457646d73.fc12.i686
libdrm-2.4.15-1.fc12.i686
mesa-dri-drivers-7.6-0.13.fc12.i686

I am not running Compiz or Gnome Shell.
Comment 16 Dan Williams 2009-10-27 16:15:34 EDT
Created attachment 366339 [details]
'[' character is corrupted on r100
Comment 17 Dan Williams 2009-10-27 16:16:49 EDT
Created attachment 366340 [details]
r100 dmesg output
Comment 18 Dan Williams 2009-10-27 16:17:23 EDT
Kernel version on the r100 T42:

Linux localhost.localdomain 2.6.31.5-96.fc12.i686 #1 SMP Fri Oct 23 19:53:24 EDT 2009 i686 i686 i386 GNU/Linux
Comment 19 Paul 2009-10-27 16:44:52 EDT
from the looks of "Need Real Name"'s screenshot, the lowercase 'n' used in some firefox fonts is the 1st to go.
Comment 20 Jerome Glisse 2009-10-28 16:04:00 EDT
*** Bug 531431 has been marked as a duplicate of this bug. ***
Comment 21 Paul 2009-10-30 19:47:27 EDT
FYI this bug is effecting my thinkpad T42, which has an RV350 chip:

01:00.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] (prog-if 00 [VGA controller])                                          
        Subsystem: IBM Device 0550                                              
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B+ DisINTx-                                                   
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-                                                  
        Latency: 66 (2000ns min), Cache Line Size: 32 bytes                     
        Interrupt: pin A routed to IRQ 11                                       
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=128M]         
        Region 1: I/O ports at 3000 [size=256]                                  
        Region 2: Memory at c0100000 (32-bit, non-prefetchable) [size=64K]      
        [virtual] Expansion ROM at c0120000 [disabled] [size=128K]              
        Capabilities: <access denied>                                           
        Kernel driver in use: radeon                                            
        Kernel modules: radeon, radeonfb
Comment 22 Jon Levell 2009-10-31 09:24:01 EDT
I'm not the original submitter but I could reproduce it with my T42P Thinkpad.

It seems to be fixed now (at least here) with the 2.6.31.5-105 kernel:
http://koji.fedoraproject.org/koji/buildinfo?buildID=139016
Comment 23 Paul 2009-10-31 16:58:14 EDT
I agree, 2.6.31.5-105 seems to have fixed it.
Comment 24 Mathieu Chouquet-Stringer 2009-10-31 18:10:11 EDT
It's better but not perfect:
- font problems are gone
- some of the hints work now (before they were unreadable)

But I can easily trigger corruptions by starting Preference->Appearance in Gnome and switching between Themes (corruption appears in the "theme preview" area, specially in the title bar of high contrast themes).

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500] (prog-if 00 [VGA controller])
        Subsystem: IBM ThinkPad T30
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR+ FastB2B+ DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 66 (2000ns min), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 9
        Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at 3000 [size=256]
        Region 2: Memory at d0100000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at d0120000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: radeon
        Kernel modules: radeon, radeonfb
Comment 25 Dave Airlie 2009-11-03 19:23:27 EST
can you get a pic or screenshot, all I'm seeing is the icon cut-off in the titlebar of those themes but it doesn't look like a gpu bug.
Comment 26 Mathieu Chouquet-Stringer 2009-11-04 06:51:25 EST
Here are some samples...  I've circled what I see in the appearance applet.

Strange thing is I'm getting these messages again now:
[TTM] Failed moving buffer. Proposed placement 0x00060004
[TTM] Out of aperture space or DRM memory quota.
[drm:radeon_object_list_validate] *ERROR* radeon: failed to validate.
[drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation !
Comment 27 Mathieu Chouquet-Stringer 2009-11-04 06:53:26 EST
Created attachment 367451 [details]
Corrupted menu
Comment 28 Mathieu Chouquet-Stringer 2009-11-04 06:54:32 EST
Created attachment 367453 [details]
Corrupted menu #2
Comment 29 Mathieu Chouquet-Stringer 2009-11-04 06:55:51 EST
Created attachment 367454 [details]
Appearance dialog
Comment 30 Mathieu Chouquet-Stringer 2009-11-04 06:57:29 EST
I must also point out corruptions happen more and more after hours of uptime.  At some point they start to be visible in firefox where text gets corrupted or full bitmap blocks are just missing...
Comment 31 Taunus 2009-11-04 12:40:23 EST
I see heavy screen corruption instantly, see attachment
@host ~]$ uname -a
Linux host 2.6.31.5-96.fc12.i686.PAE #1 SMP Fri Oct 23 19:39:36 EDT 2009 i686 i686 i386 GNU/Linux
Comment 32 Taunus 2009-11-04 12:43:13 EST
Created attachment 367512 [details]
ATI-M6-corruption-2
Comment 33 Taunus 2009-11-04 14:38:13 EST
After updates (xorg?) the fonts are much better but not perfect.
Comment 34 Owen Taylor 2009-11-04 16:05:08 EST
Testing results for me with -105 are that the corruption issues are much better, however resume-from-suspend no longer works.

 - Screen contents don't redraw
 - The cursor can be seen to change as I move around the screen, however, it sometimes changes to random garbage instead of the right content

 - First error in system logs after resume is:

Nov  4 15:52:14 localhost kernel: [drm:r100_ring_test] *ERROR* radeon: ring test failed (sracth(0x15E4)=0xCAFEDEAD)
Nov  4 15:52:14 localhost kernel: [drm:r100_cp_init] *ERROR* radeon: cp isn't working (-22).

Seems perfectly correlated with AGP - booting with radeon.agpmode=-1 works repeatedly, booting with radeon.agpmode=4 fails repeatedly in the same way on resume.
Comment 35 Taunus 2009-11-05 02:39:16 EST
My resume from suspend has been broken since fedora 10 or 11... ATI M6
Comment 36 Matěj Cepl 2009-11-05 12:18:09 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 37 Owen Taylor 2009-11-05 13:07:39 EST
no additional information is needed, bug contains information about with latest rawhide packages.
Comment 38 Taunus 2009-11-05 14:35:04 EST
Latest rawhide with all the updates, ATI M6 font corruption seems to be gone. glxgears all time high, 425fps :-)

Although I miss the mouse coursor, it is not with us. It appears when booting but is gone after login when the screen flashes. First time I booted it appeared after a minute or so. But now second boot, does not appear and not after third boot either. It is visible before logging in.

"show position of pointer when control key is pressed" works :-)
Comment 39 Taunus 2009-11-05 14:47:11 EST
After few minutes, there it is, the mouse cursor!
Comment 40 Taunus 2009-11-05 14:48:11 EST
Created attachment 367691 [details]
Mouse cursor
Comment 41 Dan Williams 2009-11-05 15:57:20 EST
latest rawhide plus kernel -122 works well for me in light testing.  No glyph corruption in about an hour of use (5 mintues used to trigger it back in the -9x kernels) and both suspend and hibernate work:

mesa-libGL-7.6-0.13.fc12.i686
xorg-x11-server-Xorg-1.7.1-6.fc12.i686
libdrm-2.4.15-4.fc12.i686
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.i686
kernel-2.6.31.5-122.fc12.i686 (non-PAE)

can provide dmesg of the resume if people care.

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]
Comment 42 Dan Williams 2009-11-05 15:58:06 EST
I should also mention I'm not using *any* non-default kernel parameters like agpmode or nomodeset.  I'm running -122 with modesetting and in AGP mode.
Comment 43 Matěj Cepl 2009-11-06 10:56:45 EST
OK, Dan let us know if it gets screwy again. Otherwise, this bug will die eventually.
Comment 44 Taunus 2009-11-06 14:56:26 EST
I just upgraded, up to date again. The mouse cursor seems to appear when launching glxgears with the cursor inside the glxgears window. Or maybe just launching glxgears. I have no extra parameters either. This is the only issue I have now.

Like I said, glxgears all time high on this hardware! Keep on rocking! :-)
Comment 45 Taunus 2009-11-06 15:25:24 EST
gnome-terminal must be launched first and then glxgears. or something
Comment 46 Taunus 2009-11-06 15:32:04 EST
yes. hit Alt-F2, type gnome-terminal, type glxgears in gnome terminal. And there it is, The Cursor.
Comment 47 Mathieu Chouquet-Stringer 2009-11-06 15:52:23 EST
I'm still seeing corruption running -122 and latest rawhide (see provided screenshot) along the usual:
[TTM] Failed moving buffer. Proposed placement 0x00060004
[TTM] Out of aperture space or DRM memory quota.
[drm:radeon_object_list_validate] *ERROR* radeon: failed to validate.
[drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation !

Note that now when I get font corruption, forcing a redraw of the window usually clears it out (it didn't use to).
Comment 48 Mathieu Chouquet-Stringer 2009-11-06 15:54:11 EST
Created attachment 367888 [details]
Screenshot
Comment 49 Mathieu Chouquet-Stringer 2009-11-06 15:58:51 EST
Created attachment 367890 [details]
Screenshot
Comment 50 Taunus 2009-11-07 18:15:22 EST
I got little corruption too after a while. ATI M6 and up to date
Comment 51 Matěj Cepl 2009-11-09 08:23:12 EST
*** Bug 533615 has been marked as a duplicate of this bug. ***
Comment 52 Mathieu Chouquet-Stringer 2009-11-10 17:10:01 EST
Not better with -127 and I'm still getting all kind of error messages:
[TTM] Failed moving buffer. Proposed placement 0x00060004
[TTM] Out of aperture space or DRM memory quota.
[drm:radeon_object_create] *ERROR* Failed to allocate TTM object (10625024, 0x00060004, 0)
[drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (10625024, 4, 4096)
Comment 53 Taunus 2009-11-11 13:54:38 EST
Compiz does not work. dosbox full screen does not work. ATI M6. System is up to date.
Comment 54 Taunus 2009-11-11 13:55:19 EST
Switch dosbox full screen with Alt - Enter
Comment 55 Paul Bolle 2009-11-14 09:19:58 EST
Similar issues with (a ThinkPad T41 using) a "Radeon RV250 [Mobility FireGL 9000]".
Comment 56 Bug Zapper 2009-11-16 08:41:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 57 Jerome Glisse 2009-11-17 13:16:30 EST
Everyone please test lastest kernel and disable all desktop effect (no compiz, no kwin effect, ...) and report if you still get font corruption with AGP enabled. On my various setup i can't reproduce this anymore, there is however bug in mesa that lead to corruption with desktop effect or when GL application runs but this is a different issue than the one we tracking in this bug.
Comment 58 Paul Bolle 2009-11-17 13:47:36 EST
(In reply to comment #57)
> Everyone please test latest kernel

That latest kernel being?

> and disable all desktop effect (no compiz,
> no kwin effect, ...) and report if you still get font corruption with AGP
> enabled. 

How do I know if I'm running with AGP enabled?
Comment 59 Dan Williams 2009-11-17 14:43:27 EST
(In reply to comment #58)
> (In reply to comment #57)
> > Everyone please test latest kernel
> 
> That latest kernel being?

I can't seem to find and F12 update kernels, so make sure you're running with the Fedora 12 release kernel.  You can make sure you are by:

yum clean all
yum upgrade

and then after upgrade reboot, then ensure you are using the "2.6.31.5-127.fc12" kernel.  You can find that out by running the command 'uname -r' from a terminal.

> > and disable all desktop effect (no compiz,
> > no kwin effect, ...) and report if you still get font corruption with AGP
> > enabled. 
> 
> How do I know if I'm running with AGP enabled?  

AGP is the default, so if you're not doing anything on the kernel boot line in grub (like agpmode=-1) then you're using AGP mode.
Comment 60 Mathieu Chouquet-Stringer 2009-11-17 14:53:12 EST
Hello,

I've been running 2.6.31.5-127.fc12.i686.PAE for a while (Install Date: Tue 10 Nov 2009 10:28:42 AM CET) and I still do see corruptions (with the same error messages posted previously).

That said it doesn't happen as often and it's a little bit better nowadays: when something gets corrupted, forcing a refresh (resizing/moving the window) usually fixes it...
Comment 61 Taunus 2009-11-23 03:42:14 EST
Can you change resolutions? I can not. When switching I don't get image but random colorful plasma effect.  It switches back to native resolution ok when I wait 30 secs.
Comment 62 Lev 2009-11-29 00:22:14 EST
I have the same problem with the latest versions. Fonts are corrupted sometimes (need to refresh the window) and in compiz windows borders are disappear often, need to restart windows manager. 

    The log message is:
kernel: [TTM] Failed moving buffer. Proposed placement 0x00060004
kernel: [TTM] Out of aperture space or DRM memory quota.
kernel: [drm:radeon_object_list_validate] *ERROR* radeon: failed to validate.
kernel: [drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation !

The versions are:
libdrm-2.4.15-5.fc12.i686
xorg-x11-server-Xorg-1.7.1-9.fc12.i686
xorg-x11-drv-ati-6.13.0-0.11.20091119git437113124.fc12.i686
kernel-2.6.31.6-145.fc12.i686
mesa-libGL-devel-7.6-0.15.fc12.i686
mesa-libOSMesa-devel-7.6-0.15.fc12.i686
mesa-libOSMesa-7.6-0.15.fc12.i686  
mesa-dri-drivers-7.6-0.15.fc12.i686
mesa-dri-drivers-experimental-7.6-0.15.fc12.i686
mesa-libGLw-6.5.1-8.fc12.i686
mesa-libGL-7.6-0.15.fc12.i686
mesa-libGLU-7.6-0.15.fc12.i686
mesa-libGLU-devel-7.6-0.15.fc12.i686

I am running on ATI Technologies Inc Radeon R250 [Mobility FireGL 9000]

The smolt profile is in
http://www.smolts.org/client/show/pub_dabbc0ce-8a5e-4510-9d52-8d15d3b7c5ac
Comment 63 Taunus 2009-12-01 13:12:33 EST
I found out that my system has faulty video hardware so you the issues I reported can be also hardware related.
Comment 64 Taunus 2009-12-10 15:22:19 EST
The mouse does not disappear anymore. Ati M6
Comment 65 Taunus 2009-12-26 16:13:58 EST
The fix for switching screen resolution is probalby same as here comment 10:
https://bugzilla.redhat.com/show_bug.cgi?id=539936
Comment 66 Mathieu Chouquet-Stringer 2010-01-02 08:49:37 EST
The problem is still present in 2.6.31.9-174.fc12.i686.PAE

But it's getting harder to trigger...  I note firefox is much more efficient at showing the problem than chrome for instance...

Now my "a"'s in the gnome toolbar looks like y's...

[TTM] Failed moving buffer. Proposed placement 0x00060004
[TTM] Out of aperture space or DRM memory quota.
[drm:radeon_object_list_validate] *ERROR* radeon: failed to validate.
[drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation !
[TTM] Failed moving buffer. Proposed placement 0x00060004
[TTM] Out of aperture space or DRM memory quota.
[drm:radeon_object_list_validate] *ERROR* radeon: failed to validate.
[drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation !
[TTM] Failed moving buffer. Proposed placement 0x00060004
[TTM] Out of aperture space or DRM memory quota.
[drm:radeon_object_list_validate] *ERROR* radeon: failed to validate.
[drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation !
[TTM] Failed moving buffer. Proposed placement 0x00060004
[TTM] Out of aperture space or DRM memory quota.
[drm:radeon_object_list_validate] *ERROR* radeon: failed to validate.
[drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation !
Comment 67 Mathieu Chouquet-Stringer 2010-01-02 08:55:12 EST
Created attachment 381281 [details]
Glyph corruption
Comment 68 Jerome Glisse 2010-01-13 12:04:30 EST
Please everyone still afected report the VRAM size of your GPU.
lspci  -v -d 1002:* | grep M]
Should give you the value.
Comment 69 Mathieu Chouquet-Stringer 2010-01-13 17:51:59 EST
On my Thinkpad T30:
        Memory at e8000000 (32-bit, prefetchable) [size=128M]

Does it make sense knowing this adapter has only 16MB I think?

[drm] radeon: VRAM 64M
[drm] radeon: VRAM from 0x00000000 to 0x03FFFFFF
[drm] radeon: GTT 64M
[drm] radeon: GTT from 0xE0000000 to 0xE3FFFFFF
[drm] radeon: irq initialized.
[drm] Detected VRAM RAM=64M, BAR=128M
[drm] RAM width 64bits DDR
[TTM] Zone  kernel: Available graphics memory: 254734 kiB.
[drm] radeon: 16M of VRAM memory ready
[drm] radeon: 64M of GTT memory ready.
Comment 70 Mads Kiilerich 2010-01-14 16:53:05 EST
(In reply to comment #35)
> My resume from suspend has been broken since fedora 10 or 11... ATI M6    

Taunus, I saw that too with RV370|M22:X300 as described on bug 521161, but as suggested on bug 540139 kernel-PAE-2.6.32.3-24.fc12.i686 works better, and resume now works with KMS.

But I do see corruption now and will join the choir on this bug. I have been testing compiz/gnome3shell and it might have been trigged by that, but FWIW disabling it again (without restarting) doesn't help.

I get plenty of
[drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation !
and dmesg can be found on https://bugzilla.redhat.com/attachment.cgi?id=383545
with
[drm] Detected VRAM RAM=64M, BAR=128M
and I get
	Memory at d0000000 (32-bit, prefetchable) [size=128M]
Comment 71 Lev 2010-01-15 09:46:58 EST
Hi Jerome,
i do not have font corruption with the latest updates, but compiz still crashes
with:
 kernel: [TTM] Failed moving buffer. Proposed placement 0x00060004
 kernel: [TTM] Out of aperture space or DRM memory quota.
 kernel: [drm:radeon_object_list_validate] *ERROR* radeon: failed to validate.
 kernel: [drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation !

I have 32 MB Radeon RV250 [Mobility FireGL 9000] 
Subsystem: Toshiba America Info Systems Device ff10, Tecra S1
	Flags: bus master, stepping, 66MHz, medium devsel, latency 128, IRQ 11
	Memory at a8000000 (32-bit, prefetchable) [size=128M]
	I/O ports at c100 [size=256]
	Memory at e0010000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at a0000000 [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
	Capabilities: [50] Power Management version 2
	Kernel driver in use: radeon
	Kernel modules: radeon, radeonfb

KMS is on.

Installed versions:
xorg-x11-drv-ati-6.13.0-0.20.20091221git4b05c47ac.fc12.i686
xorg-x11-drv-ati-firmware-6.13.0-0.20.20091221git4b05c47ac.fc12.i686
libdrm-2.4.17-1.fc12.i686
xorg-x11-server-Xorg-1.7.4-1.fc12.i686
kernel-2.6.31.9-174.fc12.i686
Comment 72 Matěj Cepl 2010-02-26 07:17:50 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 73 Lev 2010-02-28 00:01:49 EST
lspci  -v -d 1002:* | grep M]
	Memory at a8000000 (32-bit, prefetchable) [size=128M]
Comment 74 Taunus 2010-04-22 04:11:07 EDT
I dont have access to the machine anymore.
Comment 75 Vedran Miletić 2010-05-24 14:56:23 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 76 Paul Bolle 2010-08-17 04:53:05 EDT
(In reply to comment #75)
> Improving summary.

0) bugzilla's message told me:
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |rivanvx@gmail.com
>             Summary|r300 glyph corruption       |KMS:RV350:Mobility Radeon
>                    |                            |9600 M10 glyph corruption

1) So this report doesn't concern my ThinkPad T41 any more? (It was previously using a "Radeon RV250 [Mobility FireGL 9000]", according to xorg, but now apparently it is using as a "ATI Radeon Mobility 9000 (M9) Lf (AGP)".) So I might as well unsubscribe?

2) Note that the limited testing I have done recently, using current Rawhide, didn't show any glyph corruption. (Testing was limited because KMS breaks suspend/resume on that machine, see bug #531825).
Comment 77 Bug Zapper 2010-11-04 05:26:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 78 Bug Zapper 2010-12-04 02:28:31 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.